For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET v1/site/map

This endpoint retrieves information about previous site mapping requests, filterable by id or status

Get Sitemap

get

This endpoint retrieves sitemap requests in bulk by id or status.

Authorizations
X-API-KeystringRequired
Query parameters
idsstringOptional

The unique identifiers of the sitemap requests to retrieve.

Example: {"value":"smr_1234567890abcdef,smr_0987654321fedcba"}
statusstringOptional

The statuses of the sitemap requests to filter by. Valid values: pending, completed, failed

Example: {"value":"completed,pending"}
pageSizeinteger · int32Optional

Items to return per page (default: 30).

Example: {"value":30}
pageinteger · int32Optional

Page number of the pagination (default: 1).

Example: {"value":1}
Responses
200

A collection of sitemap requests that match the criteria

application/json
get/v1/site/map
GET /v1/site/map HTTP/1.1
Host: api.gaffa.dev
X-API-Key: YOUR_API_KEY
Accept: */*
{"data":{"total_pages":0,"total_records":1,"results":[{"id":"smr_1234567890abcdef","url":"https://example.com","state":"completed","credit_usage":1,"error":null,"error_reason":null,"from_cache":false,"sitemap_built_at":null,"filters_applied":false,"started_at":"2024-01-01T12:00:00+00:00","completed_at":"2024-01-01T12:01:00+00:00","running_time":"00:01:00","links":[{"url":"https://example.com/"},{"url":"https://example.com/about"},{"url":"https://example.com/products"}],"link_count":3,"truncated":false,"total_link_count":0,"partial_failure":false}],"page":1,"page_size":30},"error":null}

Last updated